#ifndef PERSON_H
#define PERSON_H

#include <iostream>
#include "date.h"


const int NAME_LENGTH = 32;

class Person {

private:

	Date birthDate;
	char firstName[NAME_LENGTH];
	char lastName[NAME_LENGTH];

public:

	Person(const Date& date, const char* firstName = "", const char* lastName = "");

	void setFirstName(const char*);

	void setLastName(const char*);

	const char* getFirstName() const {
		return firstName;
	}

	const char* getLastName() const {
		return lastName;
	}

	const Date& getBirthDate() const {
		return birthDate;
	}

	void print() const;

private:

	void copyName(char* to, const char* from);
};

#endif // PERSON_H